package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "HGTOYUAN"
)
public class HgToYuan extends TBaseEntity {
   private String id;
   private String hgname;
   private String datasystem_name;
   private String fieldcol;
   private String tablecol;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getHgname() {
      return this.hgname;
   }

   public void setHgname(String hgname) {
      this.hgname = hgname;
   }

   public String getDatasystem_name() {
      return this.datasystem_name;
   }

   public void setDatasystem_name(String datasystem_name) {
      this.datasystem_name = datasystem_name;
   }

   public String getFieldcol() {
      return this.fieldcol;
   }

   public void setFieldcol(String fieldcol) {
      this.fieldcol = fieldcol;
   }

   public String getTablecol() {
      return this.tablecol;
   }

   public void setTablecol(String tablecol) {
      this.tablecol = tablecol;
   }

   public HgToYuan(String id, String hgname, String datasystem_name, String fieldcol, String tablecol) {
      this.id = id;
      this.hgname = hgname;
      this.datasystem_name = datasystem_name;
      this.fieldcol = fieldcol;
      this.tablecol = tablecol;
   }

   public HgToYuan() {
   }

   public String toString() {
      return "HgToYuan [id=" + this.id + ", hgname=" + this.hgname + ", datasystem_name=" + this.datasystem_name + ", fieldcol=" + this.fieldcol + ", tablecol=" + this.tablecol + "]";
   }
}
